Skip to main content

Chain Size

chain-size

Chart: Chain Size

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1cumulative_blockchain_sizestringCumulative blockchain size (GB)
2daily_sizestringDaily size (MB, 30-day avg)
3size_yoy_growthstringSize YoY growth (%)

Example Request

https://charts.bitbo.io/api/v1/chain-size/?start_date=2026-04-06&end_date=2026-04-08

Example Request with Latest

https://charts.bitbo.io/api/v1/chain-size/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/chain-size/?start_date=2026-04-06&end_date=2026-04-08&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2026-04-06",
"813.6613102700000000",
"329.60387204129032258560",
"14.4952"
],
[
"2026-04-07",
"814.0095225600000000",
"331.77557553548387096576",
"14.5123"
],
[
"2026-04-08",
"814.3703287000000000",
"334.01631281548387096576",
"14.5254"
]
]
}